//
//	ObjectInsertionToolApp.h
//
//	Copyright © Nemetschek North America, Inc  2008.
//	All Rights Reserved.

#pragma once


//----------------------------------------------------------------------------
class CPersistentData
{
public:
					CPersistentData();
					~CPersistentData();

public:
	TXString			GetObjectName() const;
	SDefaultToolInfo	SetupBar(bool bInitOnly);
	void				UpdateTempPreview(double dHeight);
	void				OnBarEvent(short groupID, short buttonID, short oldButtonID	);
	void				SetDefaultPreviewHeight();
	double				GetCurrentPreviewHeight() const;

	bool				IsOffsetMode() const;

	long&				GetToolData();
	short				GetBarState(size_t groupID) const;
	void				SetBarState(size_t groupID, short state);

private:
	long			fToolData;
	long			fCount;
	short			fBarState[10];
	double			fdCurrentPreviewHeight;
};